NewCS on Dreambox

Root

This guide will help you to run the viaccess card at home together with Mgcamd, so that you can use your valid subscription together with the viaccess card without having to change cams each time you want to watch something else.

1. Download newcs from this site (Latest version is newcs-1.08_RC2)

2. Download the package to your linux machine.

3. Unzip the files and you\'ll get a three structure like this :

Folder newcs-1_RC2

\\bin

\\configs

\\lib

4. Now determine which kind of equipment you have, choose the binary depending on

what you have got.

newcs-infinity.ppc <-- For dreambox with Infinity USB Reader.

newcs.ppc <-- For Dreambox with normal embedded slots.

newcs-infinity.x86 <-- For Linux X86 with Infinity USB Reader.

newcs.x86 <-- For Linux X86 with Phoenix Interface (MP3.5 or M2 Burner).

This guide will show how to make it work with a M2 Burner.

5. Power up the M2 Burner and put in the Firecrypt card (INXTC/X-Plus-TV)

6. Copy the Binary newcs.x86 to /usr/bin/

cp /newcs-1_RC2/bin/newcs.x86 /usr/bin

7. Chmod the Binary

chmod 755 /usr/bin/newcs.x86

8. Copy the Config file for M2 Burner (Phoenix) to /var/tuxbox/config/.

cp /newcs-1_RC2/configs/newcs.xml.phoenix /var/tuxbox/config/. (obs! change name to newcs.xml)

9. Edit the config file in /var/tuxbox/config/ with your favorite Unix editor (Vi, Pico, Joe, Nano, Emacs, Etc).

My configuration file is as follows : (newcs.xml)

   1.

      

   2.

      <newCSconfig><global><priority>hard</priority></global><readers name=\"Card Readers\"><device><name>MP 3.5</name><type>Phoenix</type><node>/dev/ttyS0</node> <Set the correct Serial Port (ttyS0/1)><mhz>357</mhz><parity>odd</parity><reset>normal</reset><export>1</export><enabled>1</enabled><blocksa>No</blocksa><blockua>No</blockua><blockga>No</blockga><boxid>0000000000</boxid> <If you have NDS set Boxid here><crypto-special>no</crypto-special><carddetect>yes</carddetect><newcamd_port>10000</newcamd_port> <Choose here the incoming PORT to listen on></device></readers><xmlserver><enabled>0</enabled><port>15000</port><allow>ALL</allow><administrator>Master</administrator><password>123456</password></xmlserver><radegastserver><enabled>0</enabled><port>10001</port><allow>ALL</allow></radegastserver><cache><emm>10</emm><ecm>10</ecm></cache><debug><level>normal</level><type>init</type><output>file</output> <Choose file if you want logging to file><logfile>/var/log/newcs.log</logfile> < Set the logfile path + file><console_options></console_options><file_options></file_options><udp_host>192.168.1.10</udp_host><udp_port>1000</udp_port><udp_options></udp_options><tcp_port>3001</tcp_port><tcp_options></tcp_options></debug><newcamdserver><enabled>1</enabled><name>cardserv</name> < Set a name on the cardserver><deskey>01 02 03 04 05 06 07 08 09 10 11 12 13 14</deskey><Set the DES key to authenticate your local user><userfile>/tmp/users.txt</userfile><user><name>user1</name> <Set username><password>user1</password> <Set Password><au>on</au> <Should the local user update the card ? on/off></user><user><name>summerhouse</name><password>summerhouse</password><hostname>summer.dyndns.test</hostname> <!--Is just for Reverse Login needed --><port>12000</port> <!--Is just for Reverse Login needed --></user></newcamdserver><sid><provider><caid>0961</caid><allow><id>23f1</id><id>247e</id><id>276a</id><id>2756</id></allow></provider></sid></newCSconfig>

10. Save the file and exit the editor.

11. Create the log file with correct permissions.

touch /var/log/newcs.log;chmod 777 /var/log/newcs.log

11. If you do not have DEBIAN as Linux distribution, you will have to start newcs manually by executing the following command.

/usr/bin/newcs.x86

Then check out the log file for progress :

tail -f /var/log/newcs.log

12. If you are using Debian as Operating system, copy the following init script below and the server will start automatically upon reboot of the machine. Copy the text, and save it as new file in /etc/init.d/newcs. Chmod the file

chmod 755 /etc/init.d/newcs

#!/bin/bash

###############################################################

# Newcs startup script

# By Zep 2005-08-23

################################################################

# newcs.xml.phoenix2 must be placed in /etc and newcs binary in /usr/bin

#################################################################

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

DAEMON=/usr/bin/newcs.x86

NAME=newcs.x86

DESC=\"Newcs Daemon\"

test -x $DAEMON || exit 0

set -e

# Set program options

OPTIONS=\"-c /var/tuxbox/config/newcs.xml\"

##start##

case \"$1\" in

start)

echo -n \"Starting : $NAME\"

start-stop-daemon --start --quiet --exec $DAEMON -- $OPTIONS

echo \"...done\"

;;

##stop##

stop)

echo -n \"Stopping : $NAME \"

killall -9 `which $NAME`

echo \"...done\"

;;

##restart##

restart|force-reload)

echo -n \"restarting : $NAME \"

$0 stop && $0 start

;;

*)

N=/etc/init.d/$NAME

# echo \"Usage: $N {start|stop|restart}\" >&2

echo \"Usage: $N {start|stop|restart}\" >&2

exit 1

;;

esac

13. Now try out to start it with the file.

/etc/init.d/newcs start

Starting : newcs.x86Reading Config file /var/tuxbox/conif/newcs.xml

level: spam

type: all

output: file

logger config: level 3 type 255 output 8

log file: /var/log/newcs.log

[newcs] Process id 11803

...done

If you see the text above, then it has worked.

14. Then try to Stop the program with the init file.

/etc/init.d/newcs stop

Stopping : newcs.x86 ...done

If you see the following above, then the script works.

Also if you want to have the server started upon reboot, execute the following command :

update-rc.d newcs defaults 19

The following text will come if you did it correctly.

Adding system startup for /etc/init.d/newcs ...

/etc/rc0.d/K19newcs -> init.d/newcs

/etc/rc1.d/K19newcs -> init.d/newcs

/etc/rc6.d/K19newcs -> init.d/newcs

/etc/rc2.d/S19newcs -> init.d/newcs

/etc/rc3.d/S19newcs -> init.d/newcs

/etc/rc4.d/S19newcs -> init.d/newcs

/etc/rc5.d/S19newcs -> init.d/newcs

15. Now it\'s time to configure the Dreambox to use your new cardserver. Edit /var/tuxbox/config/newcamd.conf and add the following row to it :

CWS = IP_LINUX_MACHINE NEWCS_PORT USERNAME PASSWORD 01 02 03 04 05 06 07 08 09 10 11 12 13 14 lan cardserv

For Example :

CWS = 192.168.0.100 10000 USERNAME PASSWORD 01 02 03 04 05 06 07 08 09 10 11 12 13 14 lan cardserv

16. Next configure the MgCamd config file to make it work together with Newcamd. Edit the file /var/keys/mg_cfg so it looks like below

# EMM messages

# 00 don\'t show any EMM\'s (default)

# 01 show only valid EMM\'s

# 02 show valid and bad EMM\'s with complete data display

M: { 01 }

# ECM messages

# 00 don\'t show any ECM\'s

# 01 show only valid ECM\'s (default)

# 02 show valid and bad ECM\'s with complete data display

C: { 01 }

# AU

# 00 is ignored (default)

# 01 enable AU

# 02 AU Auto

A: { 01 }

# key update

# 01 update only new keys, default setting

# 02 update all keys (used for valid PMK checking)

U: { 02 }

# key files folder

# 00 keyfiles in /var/keys

# 01 keyfiles in /var/tmp

T: { 00 }

# network mode, use summ for several clients

# 00 no network (default)

# 01 newcamd netclient

# 02 radegast netclient

# 04 camd3 netclient

G: { 01 }

# network retry, use summ for several options

# 00 disable (default)

# 01 retry every new ecm

# 02 try to connect to offline shares every Q: seconds

# 04 try to detect and fast reconnect to lost (and not used atm) server

N: { 03 }

# network ecm timeout in seconds

K: { 10 }

# newcamd dead routes connect retry, sec

Q: { 60 }

# network shares priority

# 00 newcamd, radegast, camd3 (default)

# 01 camd3, radegast, newcamd

# 02 newcamd, camd3, radegast

P: { 00 }

# on screen display type

# 00 No OSD (default)

# 01 neutrino

# 02 enigma

O: { 00 }

# on screen display Options

# 03 default

# 01 show emu ecm

# 02 show network shares messages

# 04 show decoding failed / fta

# 08 show emm keys update

S: { 03 }

# Log options

# 00 Off (default)

# 01 Network

# 02 console

# 03 both

L: { 00 } 172.16.1.1 28007

# cache ecm pids and data used to open channels,

# store pids in /tmp/ca_cache.list at exit, load at startup,

# same syntax as restore.list

# 00 Off (default)

# 01 Ecm pids cache

# 02 Ecm data cache

# 03 both caches

H: { 00 }

# reread files on zap:

# 00 No (default)

# 01 config (including priority and ignore, but not replace/cache)

# 02 config and keys

# 03 both

R: { 00 }

# debug

# 00 off (default)

# 01 on

D: { 00 }

Save the file.

17. Choose MgCamd as the default cam on your Dreambox. Restart the dreambox and if everything worked as it is supposed to do, then you can watch the channels you have on your newcs server with Mgcamd.

Good Luck!


Add Feedback